Subject: Re: [Curdle] Suresh Krishnan's No Objection on draft-ietf-curdle-gss-keyex-sha2-09: (with COMMENT)

From: Simo Sorce <[email-masked]>
Date: Mon, 01 Jul 2019 13:20:34 -0400

On Mon, 2019-06-24 at 08:44 -0700, Suresh Krishnan via Datatracker
wrote:
> Suresh Krishnan has entered the following ballot position for
> draft-ietf-curdle-gss-keyex-sha2-09: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-curdle-gss-keyex-sha2/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> * Section 8.3
> 
> I think a pointer to DNSSEC might be relevant here in the context of spoofed DNS responses.
> 
Hi Suresh,
I intentionally kept away from providing solutions in the security
considerations around Delegation. Note that insecure DNS resolution is
not the only issue, using insecure NIS maps for hosts brings the same
issues, so I would rather you consider "DNS" here more as an example.
Given that focusing too much on specific solutions might give the
impression that DNS spoofing is the only issue and that DNSSEC the only
solution, I decided to let the reader decide by themselves how to deal
with these threats.
I consider the document's job done just by warning that there is
something to be aware of around name resolution.

Simo.

-- 
Simo Sorce
RHEL Crypto Team
Red Hat, Inc

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 2 Jul 2019 01:50:23 +0000

> On Jul 2, 2019, at 1:20 AM, Simo Sorce <[email-masked]> wrote:
> 

Thanks Simo. I understand your rationale now and my comment was non blocking.

Regards
Suresh